For the complete documentation index, see llms.txt. This page is also available as Markdown.

兩地址轉帳紀錄

查詢兩個地址之間的逐筆轉帳紀錄,呈現雙方實際資金往來。適合調查特定地址之間的直接關係。

post
Authorizations
X-API-KeystringRequired
Body

POST /v1/counterparty/transfer-between:兩地址之間的交易明細。

address_astring · nullableOptional
address_bstring · nullableOptional
blockchainstringRequired
counterpartystring · nullableOptional

對手地址(address_b 為同義別名)。

directionstring · nullableOptional
end_timeinteger · nullableOptional
limitinteger · nullableOptional
orderstring · nullableOptional
output_assetstring · nullableOptional
pageinteger · nullableOptional
sortstring · nullableOptional
start_timeinteger · nullableOptional
symbolsstring[] · nullableOptional
targetstring · nullableOptional

主地址(address_a 為同義別名)。

Responses
200

查詢成功,回傳兩地址之間的轉帳明細

application/json
post/v1/counterparty/transfer-between
POST /v1/counterparty/transfer-between HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119

{
  "blockchain": "tron",
  "counterparty": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
  "target": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9"
}
{
  "data": {
    "pagination": {
      "has_more": true,
      "limit": 50,
      "page": 0,
      "total_pages": 5
    },
    "transactions": [
      {
        "amount": "129270219",
        "amount_usd": "",
        "blockchain": "tron",
        "direction": "From",
        "from": {
          "address": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
          "blockchain": "tron",
          "label": []
        },
        "symbol": "sun",
        "timestamp": 1630913688,
        "to": {
          "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
          "blockchain": "tron",
          "label": []
        },
        "tx_hash": "543d18d43768196596cf6b7ed1cb274b04077f0545418faa1587eb0fc2a8dce2",
        "txn_type": "token_transfer",
        "uid": "7d81cabec504907d8c0e09e88b1a4ece-0"
      },
      {
        "amount": "5711591803",
        "amount_usd": "",
        "blockchain": "tron",
        "direction": "From",
        "from": {
          "address": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
          "blockchain": "tron",
          "label": []
        },
        "symbol": "win",
        "timestamp": 1630231911,
        "to": {
          "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
          "blockchain": "tron",
          "label": []
        },
        "tx_hash": "a7cfc9059fe419573ba9c79c9b37b0cffb9aef8abfac0a0dc87585c8f4db85a1",
        "txn_type": "token_transfer",
        "uid": "6f25367adb3101d5f75a76a8e542a3a7-0"
      }
    ]
  },
  "meta": {
    "request_id": "16a340f3-9a4b-43a0-8dd2-9aec8fd233b6"
  }
}

Last updated

Was this helpful?